Skip to content

Most visited

Recently visited

navigation
added in API level 1

CertSelector

public interface CertSelector
implements Cloneable

java.security.cert.CertSelector
Known Indirect Subclasses


A selector that defines a set of criteria for selecting Certificates. Classes that implement this interface are often used to specify which Certificates should be retrieved from a CertStore.

Concurrent Access

Unless otherwise specified, the methods defined in this interface are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

See also:

Summary

Public methods

abstract Object clone()

Makes a copy of this CertSelector.

abstract boolean match(Certificate cert)

Decides whether a Certificate should be selected.

Public methods

clone

added in API level 1
Object clone ()

Makes a copy of this CertSelector. Changes to the copy will not affect the original and vice versa.

Returns
Object a copy of this CertSelector

match

added in API level 1
boolean match (Certificate cert)

Decides whether a Certificate should be selected.

Parameters
cert Certificate: the Certificate to be checked

Returns
boolean true if the Certificate should be selected, false otherwise

This site uses cookies to store your preferences for site-specific language and display options.

Get the latest Android developer news and tips that will help you find success on Google Play.

* Required Fields

Hooray!

Browse this site in ?

You requested a page in , but your language preference for this site is .

Would you like to change your language preference and browse this site in ? If you want to change your language preference later, use the language menu at the bottom of each page.

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a short survey?
Help us improve the Android developer experience.
(Sep 2017 survey)